# $Revision: 1.13 $, $Date: 2012/02/11 10:27:27 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ChangeNotify
Summary:	File::ChangeNotify - Watch for changes to files, cross-platform style
Summary(pl.UTF-8):	File::ChangeNotify - Obserwuje modyfikację plików
Name:		perl-File-ChangeNotify
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd8f8f32faed6aba5353b8f270898935
URL:		http://search.cpan.org/dist/File-ChangeNotify/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(MooseX::Params::Validate) >= 0.08
BuildRequires:	perl(MooseX::SemiAffordanceAccessor)
BuildRequires:	perl-namespace-autoclean
BuildRequires:	perl-Class-MOP
BuildRequires:	perl-Linux-Inotify2
BuildRequires:	perl-Moose
# not in PLD, yet
#BuildRequires:	perl-Test-Without-Module
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an API for creating a File::ChangeNotify::Watcher
subclass that will work on your platform.

Most of the documentation for this distro is in
File::ChangeNotify::Watcher.

%description -l pl.UTF-8
Moduł ten dostarcza API do tworzenia podklasy
File::ChangeNotify::Watcher która może pracować na Twojej platformie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%ifnos bsd
# BSD-specific watcher
rm $RPM_BUILD_ROOT%{perl_vendorlib}/File/ChangeNotify/Watcher/KQueue.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3/File::ChangeNotify::Watcher::KQueue.3pm*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/*.pm
%{perl_vendorlib}/File/ChangeNotify
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-ChangeNotify.spec,v $
Revision 1.13  2012/02/11 10:27:27  zbyniu
- up to 0.21

Revision 1.12  2012/01/16 22:41:16  zbyniu
- BR: perl-namespace-autoclean, perl-Linux-Inotify2; rel 3

Revision 1.11  2012/01/16 22:34:04  zbyniu
- release 2

Revision 1.10  2012/01/16 10:30:46  zbyniu
- up to 0.20

Revision 1.9  2010/04/07 06:26:54  amateja
- updated to 0.13

Revision 1.8  2010/02/17 09:51:23  amateja
- updated to 0.12

Revision 1.7  2010/01/03 23:03:16  sparky
- broken cpan directory structure ? updated

Revision 1.6  2010/01/03 20:55:15  sparky
- up to 0.11
- just remove Watcher/KQueue.pm, it won't be missed

Revision 1.5  2010/01/03 20:20:54  arekm
- rel 2; ignore perl(IO::KQueue) which is BSD stuff

Revision 1.4  2009/11/20 12:06:53  amateja
- updated to 0.09

Revision 1.3  2009/09/14 07:09:08  amateja
- added polish description and summary

Revision 1.2  2009/09/09 07:54:22  amateja
- updated to 0.07

Revision 1.1  2009/06/16 09:48:41  amateja
- initial
